Page MenuHomePhabricator

[ASTImporter] Fix redecl failures of Class and ClassTemplate
ClosedPublic

Authored by martong on Feb 21 2019, 4:47 AM.

Details

Summary

Redecl chains of classes and class templates are not handled well
currently. We want to handle them similarly to functions, i.e. try to
keep the structure of the original AST as much as possible. The aim is
to not squash a prototype with a definition, rather we create both and
put them in a redecl chain.

Diff Detail

Repository
rL LLVM

Event Timeline

martong created this revision.Feb 21 2019, 4:47 AM
a_sidorin accepted this revision.Feb 24 2019, 3:19 PM

Hi Gabor,
I don't see any problems with the patch. Thanks! I think it will be good to get Shafik's approval as well.

This revision is now accepted and ready to land.Feb 24 2019, 3:19 PM

@shafik, Could you please take a look?
I have run the LLDB tests on our macOS and I could not discover any regression.

shafik accepted this revision.Mar 4 2019, 11:51 AM

LGTM, thank you !

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 5 2019, 3:22 AM